//======================================================================
// 
// TabSize.h
//
//  Questo Header contiene dati privati del device driver. Bisogna includerlo anche nei programmi
//  Win32 se si vuole chiamare il driver con DeviceIOControl
//
//======================================================================


// Definisce un ID per il Driver ricordati che i valori utilizzati da Microsoft
// Corporation sono nel range 0-32767, mentre 32768-65535 sono riservati per il nostro uso

#define FILE_DEVICE_TABAPI    0x00008300

#define IOCTL_TABAPI_READBUFFER CTL_CODE(FILE_DEVICE_TABAPI,0x801,METHOD_BUFFERED,FILE_ANY_ACCESS)


typedef struct InfoTab
{
	unsigned int NumServizi;
	unsigned int IndirizzoTabellaServizi;
      unsigned int IndirizzoTabellaParametri;
      unsigned int Servizio;
      unsigned short int Segmento;
      unsigned short int SegmentoTabella;
      unsigned int Offset;
	unsigned int Parametro;
} InfoTabella;

#ifndef PAGE_SIZE
#if defined(_ALPHA_)
#define PAGE_SIZE 0x2000  // 8K
#else
#define PAGE_SIZE 0x1000  // 4K
#endif
#endif
